## org.codehaus.groovy.grails.web.taglib.jsp
Class JspRenderInputTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspRenderInputTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally

    public class JspRenderInputTag

extends RequestContextAwareTag

A JSP facade that delegates to the Grails RenderInputTag (@see org.codehaus.groovy.grails.web.taglib.RenderInputTag)

Since:
  06-Jan-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspRenderInputTag()`

Method Summary
`protected int` `doStartTagInternal()`
`String` `getBean()`
`String` `getProperty()`
`void` `setBean(String bean)`
`void` `setProperty(String property)`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doFinally, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspRenderInputTag

    public JspRenderInputTag()

Method Detail

### doStartTagInternal

    protected int doStartTagInternal()
                              throws Exception

  Specified by:
    `doStartTagInternal` in class `RequestContextAwareTag`
  Throws:
    `Exception`

### getBean

    public String getBean()

### setBean

    public void setBean(String bean)

### getProperty

    public String getProperty()

### setProperty

    public void setProperty(String property)

Copyright (c) 2005-2009 The Grails project